opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::GridAdaptedFeatureDetector Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::GridAdaptedFeatureDetector:

## Public Member Functions
| GridAdaptedFeatureDetector (const Ptr< FeatureDetector > &detector, int maxTotalKeypoints=1000, int gridRows=4, int gridCols=4)
Public Member Functions inherited from cv::FeatureDetector
void | detect (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const
void | detect (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints, const vector< Mat > &masks=vector< Mat >()) const
virtual void | read (const FileNode &)
virtual void | write (FileStorage &) const
virtual | ~FeatureDetector ()

## Protected Member Functions
virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const

## Protected Attributes
Ptr< FeatureDetector > | detector
int | gridCols
int | gridRows
int | maxTotalKeypoints

## Additional Inherited Members
Static Public Member Functions inherited from cv::FeatureDetector
static Ptr< FeatureDetector > | create (const string &detectorType)
Static Protected Member Functions inherited from cv::FeatureDetector
static void | removeInvalidPoints (const Mat &mask, vector< KeyPoint > &keypoints)

## Constructor & Destructor Documentation

cv::GridAdaptedFeatureDetector::GridAdaptedFeatureDetector | ( | const Ptr< FeatureDetector > & | detector,
|  | int | maxTotalKeypoints = `1000`,
|  | int | gridRows = `4`,
|  | int | gridCols = `4`
| ) |  |

## Member Function Documentation

virtual void cv::GridAdaptedFeatureDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const
| protected virtual

Implements cv::FeatureDetector.

## Member Data Documentation

Ptr<FeatureDetector> cv::GridAdaptedFeatureDetector::detector
| protected

int cv::GridAdaptedFeatureDetector::gridCols
| protected

int cv::GridAdaptedFeatureDetector::gridRows
| protected

int cv::GridAdaptedFeatureDetector::maxTotalKeypoints
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp